Why cannot I update the expiry date?

If you are getting an unexpected error message while updating the expiry date on your customers credit or debit card in PayDock, this is most likely related to security settings of the gateway and/or acquirer that you are working with. This is a common situation and other service providers have a similar configuration.

As a PCI-DSS compliant service provider PayDock is not allowed to store the CVV number of a credit card and therefore in order to update a card's expiry the CVV must be submitted along with the updated card expiry date.

According to our most recent information the following payment services listed below require a valid CVV code by default updating the expiry date. 

Afterpay
Assembly
Bambora
Braintree
eWay
Ezidebit
Ezidebit 3.5
Fat Zebra
Flo2Cash 
Forte
Merchant Warrior
Paperless
PayPal
PayPal Classic
Pin Payments
Split Payments
SqID
World Pay
Zip Money
Following payment services, do not require a CVV code when update the expiry date:
Authorize.Net
NAB
Payment Express
PayWay
Secure Pay
Stripe


If you are still getting an error while trying to update the expiry date, please contact our Support Team at support@paydock.com.

Still need help? Contact Us Contact Us